For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retouren Handling

Retouren-Annahme und Verarbeitung

Verarbeitet eine Eingabe für die Retouren-Annahme

post
Body
inputDatastringOptional

Benutzereingabe/Scan

returnReceivingIdinteger · int64Optional

ID eines laufenden Vorgangs

returnReceivingLineIdinteger · int64Optional

ID einer bestimmten Position (optional)

quantitynumberOptional

Menge (optional)

actionstring · enumOptional

Auszuführende Aktion

Possible values:
chosenAccountIdinteger · int64Optional

Gewählter Account

chosenDocumentIdinteger · int64Optional

Gewählter Beleg

chosenDocumentLineIdinteger · int64Optional

Gewählte Belegposition

chosenReturnReceivingComponentInfoIdinteger · int64Optional

Gewählte Komponenten-Info der Retourenannahmeposition

Responses
200

successful operation

application/json
returnReceivingNumberstringOptional

Vorgangsnummer

returnReceivingStatestringOptional

Status des Vorgangs

lineCountinteger · int32Optional

Anzahl der Positionen im Vorgang

currentReturnReceivingLineIdinteger · int64Optional

ID der aktuell selektierten Position

unknownArticleInputsstring[]Optional

Gescannte Eingaben für unbekannte Artikel

post/rma/returns/receiving/process-input
POST /api/rma/returns/receiving/process-input HTTP/1.1
Host: 10.102.24.197:32795
Content-Type: application/json
Accept: */*
Content-Length: 204

{
  "inputData": "text",
  "returnReceivingId": 1,
  "returnReceivingLineId": 1,
  "quantity": 1,
  "action": "NONE",
  "chosenAccountId": 1,
  "chosenDocumentId": 1,
  "chosenDocumentLineId": 1,
  "chosenReturnReceivingComponentInfoId": 1
}
{
  "message": {
    "messageCode": "text",
    "messageParameters": {
      "ANY_ADDITIONAL_PROPERTY": {}
    },
    "formattedMessage": "text"
  },
  "returnReceivingRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "returnReceivingNumber": "text",
  "returnReceivingState": "text",
  "returnCauseRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "lineCount": 1,
  "lines": [],
  "currentReturnReceivingLineId": 1,
  "unknownArticleInputs": [
    "text"
  ],
  "documentRef": {
    "id": 1,
    "category": "CUSTOMER_OFFER",
    "documentType": "text",
    "documentState": "text",
    "number": "text"
  },
  "accountRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "storageBinRef": {
    "id": 1,
    "displayName": "text",
    "routePosition": 1,
    "color": "text",
    "storageRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    }
  },
  "articleRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "serialNumberRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "candidateDocumentLines": []
}

Verarbeitet eine Eingabe für die Retouren-Verarbeitung

post
Body
inputDatastringOptional

Benutzereingabe/Scan

returnReceivingIdinteger · int64Optional

ID eines laufenden Vorgangs

returnReceivingLineIdinteger · int64Optional

ID einer bestimmten Position (optional)

quantitynumberOptional

Menge (optional)

actionstring · enumOptional

Auszuführende Aktion

Possible values:
Responses
200

successful operation

application/json
returnReceivingNumberstringOptional

Vorgangsnummer

returnReceivingStatestringOptional

Status des Vorgangs

lineCountinteger · int32Optional

Anzahl der Positionen im Vorgang

currentReturnReceivingLineIdinteger · int64Optional

ID der aktuell selektierten Position

unknownArticleInputsstring[]Optional

Gescannte Eingaben für unbekannte Artikel

post/rma/returns/processing/process-input
POST /api/rma/returns/processing/process-input HTTP/1.1
Host: 10.102.24.197:32795
Content-Type: application/json
Accept: */*
Content-Length: 97

{
  "inputData": "text",
  "returnReceivingId": 1,
  "returnReceivingLineId": 1,
  "quantity": 1,
  "action": "NONE"
}
{
  "message": {
    "messageCode": "text",
    "messageParameters": {
      "ANY_ADDITIONAL_PROPERTY": {}
    },
    "formattedMessage": "text"
  },
  "returnReceivingRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "returnReceivingNumber": "text",
  "returnReceivingState": "text",
  "returnCauseRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "lineCount": 1,
  "lines": [],
  "currentReturnReceivingLineId": 1,
  "unknownArticleInputs": [
    "text"
  ]
}

Last updated

Was this helpful?